/*--- formatted by Jindent 2.1, (www.c-lab.de/~jindent) ---*/

/*
 * ObJectRelationalBridge - Bridging Java Objects and Relational Databases
 * http://objectbridge.sourceforge.net
 * Copyright (C) 2000, 2001 Thomas Mahler, et al.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 */
package ojb.broker;
import java.util.Vector;

/**
 * 
 * Insert the type's description here.
 * 
 * Creation date: (16.11.2000 20:58:33)
 * 
 * @author: Administrator
 * 
 */
public class SimpleObjectModificationImpl implements ObjectModification
{
	private boolean needsInsert = false;
	private boolean needsUpdate = false;

	/**
	 * 
	 * ObjectModificationImpl constructor comment.
	 * 
	 */
	public SimpleObjectModificationImpl()
	{
		super();
	}

	/**
	 * returns true if the underlying Object needs an INSERT statement. Returns false else.
	 * 
	 */
	public boolean needsInsert()
	{
		return needsInsert;
	}

	/**
	 * returns true if the underlying Object needs an UPDATE statement.
	 * 
	 * Else Returns false.
	 * 
	 */
	public boolean needsUpdate()
	{
		return needsUpdate;
	}

	/**
	 * Method declaration
	 * 
	 * 
	 * @param newValue
	 * 
	 * @see
	 */
	public void setNeedsInsert(boolean newValue)
	{
		needsInsert = newValue;
	}

	/**
	 * Method declaration
	 * 
	 * 
	 * @param newValue
	 * 
	 * @see
	 */
	public void setNeedsUpdate(boolean newValue)
	{
		needsUpdate = newValue;
	}

	/**
	 * Method declaration
	 * 
	 * 
	 * @see
	 */
	public void markModified()
	{
		needsUpdate = true;
	}

}