/*
 * Created by IntelliJ IDEA.
 * To change template for new class use 
 * "Source Code" options (Tools | IDE Options), Templates tab.
 */
package ojb.broker.server;

import java.util.Vector;
import java.util.StringTokenizer;

public class ServerPool implements java.io.Serializable
{
    private int index = -1;

    private Vector servers = new Vector();

    public ServerPool(String[] servers)
    {
        for (int i = 0; i<servers.length ;i++)
        {
            StringTokenizer st = new StringTokenizer(servers[i], ":");
            String name = st.nextToken();
            int port = Integer.parseInt(st.nextToken());
            ServerEntry entry = new ServerEntry(name,port);
            this.servers.add(entry);
        }

    }

    public ServerEntry roundRobin()
    {
        if (index >= servers.size()) index = -1;
        index++;
        return (ServerEntry) servers.get(index);
    }

}