/*
 * Created by IntelliJ IDEA.
 * To change template for new class use 
 * "Source Code" options (Tools | IDE Options), Templates tab.
 */
package test.ojb.broker;

import ojb.broker.metadata.FieldDescriptor;

public class ArticleConversionStrategy implements ojb.broker.ConversionStrategy
{

    private Integer i_true  = new Integer(1);
    private Integer i_false = new Integer(0);

    private Boolean b_true = new Boolean(true);
    private Boolean b_false = new Boolean(false);



    public Object javaToSql(Object source, FieldDescriptor fld)
    {
        if (fld.getPersistentField().getName().equals("isSelloutArticle"))
        {
            if (source.equals(b_true)) return i_true;
            else return i_false;
        }
        else return source;
    }

    public Object sqlToJava(Object source, FieldDescriptor fld)
    {
        if (fld.getPersistentField().getName().equals("isSelloutArticle"))
        {
            if (source.equals(i_true)) return b_true;
            else return b_false;
        }
        else return source;
    }
}