package test.ojb.broker;

import ojb.broker.VirtualProxy;
import ojb.broker.PersistenceBroker;

/**
 * Proxy class for ProductGroup.
 */
public class ProductGroupProxy extends VirtualProxy implements InterfaceProductGroup, java.io.Serializable {
/**
 * Insert the method's description here.
 * Creation date: (11.11.2000 13:07:33)
 */
public ProductGroupProxy()
{
	super();
}
/**
 * ProductGroupProxy constructor comment.
 * @param uniqueId ojb.broker.Identity
 */
public ProductGroupProxy(ojb.broker.Identity uniqueId, PersistenceBroker broker) {
	super(uniqueId, broker);
}
/** return List of all Articles in productgroup*/
public java.util.List getAllArticles()
{
	return realSubject().getAllArticles();
}
/** return group id*/
public int getId()
{
	return realSubject().getId();
}
/** return groupname*/
public java.lang.String getName()
{
	return realSubject().getName();
}
/**
 * Insert the method's description here.
 * Creation date: (08.11.2000 22:38:26)
 * @return ojb.examples.broker.Article
 */
private ProductGroup realSubject()
{
	try
	{
		return (ProductGroup) getRealSubject();
	}
	catch (Throwable t)
	{
		return null;
	}
}
/**
 * Insert the method's description here.
 * Creation date: (09.11.2000 21:13:06)
 * @return java.lang.String
 */
public String toString()
{
	return realSubject().toString();
}
}