package test.ojb.server.lockstrategy;

/**
 * Title:        ObJectBridge
 * Description:  Object Relational Mapping tool
 * Copyright:    Copyright (c) 2000
 * Company:
 * @author Thomas Mahler & David Dixon-Peugh
 * @version 1.0
 */

import junit.framework.*;
import test.ojb.server.*;

public class RWStrategyTestSuite {

  public RWStrategyTestSuite() {
  }

  public static Test suite() {
    TestSuite ts = new TestSuite();
    Test t1 = new StateMachineTest(
"file:/projects/ObJectBridge/objectbridge/src/test/ojb/server/lockstrategy/model/Ser-ReaderWriterLock.xml",
               new RWSerializableTest());
    Test t2 = new StateMachineTest(
"file:/projects/ObJectBridge/objectbridge/src/test/ojb/server/lockstrategy/model/RUncommit-ReaderWriterLock.xml",
               new RWReadUncommittedTest());

    ts.addTest(t1);
    ts.addTest(t2);

    // ts.addTest( new TestSuite( test.ojb.server.ReaderWriterLockTest.class ) );
    return ts;
  }
}