package test.ojb.broker;

import java.util.Vector;

/** represents a product group containing a set of Articles.
  * @see Article
  */
public class ProductGroupWithTypedCollection implements java.io.Serializable {

/** return group id*/
public int getId()
{
	return groupId;
}
  
/**return string representation*/
public String toString() 
{
	return 
		"----\n" +
  		"group Id:    " + groupId + "\n" +
	 	"name:        " + groupName + "\n" +
	 	"description: " + description + "\n"+
	 	"articles in group: " + allArticlesInGroup;
}      

/** return groupname*/
public String getName()
{
	return groupName;
}

	/** collection containing all articles of a given product group*/
	private ArticleCollection allArticlesInGroup;
	/** a textual description of the group*/
	private String description;
	/** the unique id of a product group*/
	private int groupId;
	/** the name of a group*/
	private String groupName;

/** return List of all Articles in productgroup*/
public ArticleCollection getAllArticles()
{
	return allArticlesInGroup;
}

/** set group id*/
public void setId(int newValue)
{
	groupId = newValue;
}
}