package test.ojb.broker;

import java.util.Vector;

/**
 * Tree is  recursive type: a Tree element contains some data
 * and a Vector of child Tree elements.
 * This sample demonstrates what is needed to map such a data
 * structure on a DB table
 * @author: Thomas Mahler
 */
public class Tree implements java.io.Serializable {
	private int id;
	private String data;
	private int parentId;
	private Vector childs;

/**
 * Tree constructor comment.
 */
public Tree() {
	super();
}
/**
 * Tree constructor comment.
 */
public Tree(int id, String data, int parentid)
{
	this.id = id;
	this.data = data;
	this.parentId = parentid;
}
public void addChild(Tree newChild)
{
	if (childs == null) childs = new Vector();

	childs.add(newChild);
	
}
public Tree getChild(int index)
{
	return (Tree) childs.get(index);
	
}
/**
 * Insert the method's description here.
 * Creation date: (13.02.2001 18:33:02)
 * @return java.util.Vector
 */
public java.util.Vector getChilds() {
	return childs;
}
/**
 * Insert the method's description here.
 * Creation date: (13.02.2001 18:33:02)
 * @return java.lang.String
 */
public java.lang.String getData() {
	return data;
}
/**
 * Insert the method's description here.
 * Creation date: (13.02.2001 18:33:02)
 * @return int
 */
public int getId() {
	return id;
}
/**
 * Insert the method's description here.
 * Creation date: (13.02.2001 18:33:02)
 * @return int
 */
public int getParentId() {
	return parentId;
}
/**
 * Insert the method's description here.
 * Creation date: (13.02.2001 18:33:02)
 * @param newChilds java.util.Vector
 */
public void setChilds(java.util.Vector newChilds) {
	childs = newChilds;
}
/**
 * Insert the method's description here.
 * Creation date: (13.02.2001 18:33:02)
 * @param newData java.lang.String
 */
public void setData(java.lang.String newData) {
	data = newData;
}
/**
 * Insert the method's description here.
 * Creation date: (13.02.2001 18:33:02)
 * @param newId int
 */
public void setId(int newId) {
	id = newId;
}
/**
 * Insert the method's description here.
 * Creation date: (13.02.2001 18:33:02)
 * @param newParentId int
 */
public void setParentId(int newParentId) {
	parentId = newParentId;
}
/**
 * Insert the method's description here.
 * Creation date: (14.02.2001 19:51:23)
 * @return int
 */
public int size()
{
	int result = 1;
	for (int i = 0; i < childs.size(); i++)
	{
		result += ((Tree) childs.get(i)).size();
	}
	return result;
}
/**
 * Insert the method's description here.
 * Creation date: (13.02.2001 18:33:41)
 * @return java.lang.String
 */
public String toString() {
	
	return data + ((childs == null) ? "" : childs.toString() );
}
}