package test.ojb.ejb;

/**
* This is a Primary Key Class for the Entity Bean
**/
public class PlzEntryBmpKey implements java.io.Serializable { 
	
	final static long serialVersionUID = 3206093459760846163L;

	int id;

/**
* PlzEntryBmpKey(String key) constructor 
*/
public PlzEntryBmpKey(int key) {
	//oid = new PlzEntryIdentity(key);
	id = key;

}

/**
* PlzEntryBmpKey(String key) constructor 
*/
public PlzEntryBmpKey(ojb.broker.Identity oid) {
	
	id = ((Integer) oid.getPrimaryKeyValues()[0]).intValue();

}
/**
* equals method
* - user must provide a proper implementation for the equal method. The generated 
*   method assumes the key is a String object.
*/
public boolean equals (Object o)  {
	if (o instanceof PlzEntryBmpKey) 
		return (id == ((PlzEntryBmpKey)o).id);
	else
		return false;
}
/**
* hashode method
* - user must provide a proper implementation for the hashCode method. The generated
*    method assumes the key is a String object.
*/
public int hashCode() {
	return id;
}
}