package test.ojb.server.lockstrategy;

/**
 * Title:        ObJectBridge
 * Description:  Object Relational Mapping tool
 * Copyright:    Copyright (c) 2000
 * Company:
 * @author Thomas Mahler & David Dixon-Peugh
 * @version 1.0
 */
import ojb.server.lockstrategy.ReaderWriterLock;
import test.ojb.server.*;


public class RWReadCommittedTest extends ReaderWriterSMTest {

  public RWReadCommittedTest() {
    setStrategy( ReaderWriterLock.RW_READ_COMMITTED );
  }

  static public void main(String args[]) {
    StateMachineTest smt = new StateMachineTest();
    StateMachineModel smm = new StateMachineModel();

    smm.load(args[0]);
    smt.setImplementation(new RWReadCommittedTest());
    smt.setModel( smm );

   // smt.runTests();
  }

}